Q               := @
CC_32           := gcc_32
CC_64           := gcc_64
SRCS            := $(wildcard *.c)
OBJS_32         := $(SRCS:.c=.o32)
OBJS_64         := $(SRCS:.c=.o64)
TARGET_32       := emui_32.exe
TARGET_64       := emui_64.exe
CFLAGS          += -D_GNU_SOURCE -Wall -I./include
LDFLAGS_32      := $(LIBS_32)
LDFLAGS_64      := $(LIBS_64)

.PHONY: all clean

all: .depend $(TARGET_32) $(TARGET_64)

%.o32: %.c Makefile
	$(Q)echo "  Compiling '$<' ..."
	$(Q)$(CC_32) $(CFLAGS) -o $@ -c $<

%.o64: %.c Makefile
	$(Q)echo "  Compiling '$<' ..."
	$(Q)$(CC_64) $(CFLAGS) -o $@ -c $<

$(TARGET_32): $(OBJS_32)
	$(Q)echo -e "  $(COLOR_G)Building '$@' VER=$(AP_VER)... $(COLOR_W)"
	$(Q)$(CC_32) -o $@ $(OBJS_32) $(LDFLAGS_32)

$(TARGET_64): $(OBJS_64)
	$(Q)echo -e "  $(COLOR_G)Building '$@' VER=$(AP_VER)... $(COLOR_W)"
	$(Q)$(CC_64) -o $@ $(OBJS_64) $(LDFLAGS_64)

clean: 
	$(Q)echo "  Cleaning '$(TARGET_32)' & '$(TARGET_64)' ..."
	$(Q)rm -f .depend *~ $(OBJS_32) $(OBJS_64) $(TARGET_32) $(TARGET_64) *.bak *.res

.depend:
	$(Q)echo "  Generating '$@' ..."
	$(Q)$(CC_32) $(CFLAGS) -M *.c > $@
	$(Q)$(CC_64) $(CFLAGS) -M *.c > $@

ifeq (.depend, $(wildcard .depend))
	include .depend
endif

